#include <SimpleITK.h>
#include <iostream>
#include <stdlib.h>

// create convenient namespace alias
namespace sitk = itk::simple;

int main ( int argc, char* argv[] ) {

    // Read the Dicom image series
    sitk::ImageSeriesReader reader;
    const std::vector<std::string> dicom_names{argv[1]};
    reader.SetFileNames( dicom_names );
    sitk::Image image = reader.Execute();

    std::vector<unsigned int> size = image.GetSize();

    sitk::ImageFileWriter writer;
    writer.SetFileName ( std::string ( "test.dcm" ) );
    writer.Execute ( image );

    return 0;
}
